Bug 53455 - [patch] [non-maintainer] replace BROKEN by NOT_FOR_ARCHS in devel/py-ctypes
Summary: [patch] [non-maintainer] replace BROKEN by NOT_FOR_ARCHS in devel/py-ctypes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-18 20:40 UTC by Mark Linimon
Modified: 2009-01-14 20:29 UTC (History)
0 users

See Also:


Attachments
file.diff (304 bytes, patch)
2003-06-18 20:40 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon 2003-06-18 20:40:16 UTC
	The correct usage for this Makefile is to use NOT_FOR_ARCHS.  This
	will prevent bento from wasting its time trying to build.

How-To-Repeat: 	n/a
Comment 1 Mark Linimon 2003-06-18 21:04:27 UTC
A more careful reading of bsd.port.mk suggests that BROKEN should
be replaced by IGNORE, not NOT_FOR_ARCHS, in this particular
case.  This will still save time on bento builds, but not imply that
the port will _never_ work on these archs.
--- py-ctypes/Makefile.dist	Sat Jun 14 00:25:06 2003
+++ py-ctypes/Makefile	Wed Jun 18 15:03:44 2003
@@ -33,7 +33,7 @@
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "ia64"
-BROKEN=		"does not build"
+IGNORE=		"does not build on ${ARCH}"
 .endif
 
 post-patch:
Comment 2 Christian Weisgerber freebsd_committer 2003-06-27 17:02:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

Over to maintainer.
Comment 3 Hye-Shik Chang freebsd_committer 2003-07-22 03:34:58 UTC
State Changed
From-To: open->closed

Committed. I put ONLY_FOR_ARCHS instead. 
Thank you for reporting!